import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

import '../app_provider.dart';

class SwipeCell extends StatefulWidget {
  _SwipeCell createState() => _SwipeCell();
}

class _SwipeCell extends State<SwipeCell> {
  List list;

  @override
  initState() {
    super.initState();
    list = [...lis];
  }

  _delete(index) {
    int i = list.indexWhere((el) => el['index'] == index);
    print(i);
    list.removeAt(i);
    setState(() {
      list = list;
    });
  }

  @override
  Widget build(BuildContext context) {
    bool isCn = getLanage(context);

    return Scaffold(
      appBar: AppBar(
        title: Text('SwiperCell'),
      ),
      body: ListView(
        children: [
          ...list.map((data) {
            int index = data['index'];
            if (data['type'] == 0) {
              return MillSwipeCell(
                key: ValueKey(index),
                child: Container(
                  height: data['height'],
                  alignment: Alignment.centerLeft,
                  padding: EdgeInsets.only(left: 10),
                  decoration: BoxDecoration(
                    border: Border(
                      bottom: BorderSide(
                        width: 2,
                        color: Color(0xfff1f1f1),
                      ),
                    ),
                  ),
                  child: Text(isCn ? '白日依山尽$index' : ' No one and you'),
                ),
                suffixs: data['all'] != 2
                    ? [
                        GestureDetector(
                          onTap: () {
                            print(123);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            width: 100,
                            height: data['height'],
                            color: Colors.green,
                            child: Text('closer',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                        GestureDetector(
                          onTap: () {
                            _delete(data['index']);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            width: 100,
                            height: data['height'],
                            color: Colors.red,
                            child: Text('delete',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                      ]
                    : <Widget>[],
                prefixs: data['all'] != 1
                    ? [
                        Container(
                          alignment: Alignment.center,
                          width: 100,
                          height: data['height'],
                          color: Colors.green,
                          child: Text('closer',
                              style: TextStyle(color: Colors.white)),
                        ),
                        GestureDetector(
                          onTap: () {
                            _delete(data['index']);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            width: 100,
                            height: data['height'],
                            color: Colors.red,
                            child: Text('delete',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                      ]
                    : <Widget>[],
              );
            } else if (data['type'] == 1) {
              return MillSwipeCard(
                key: ValueKey(index),
                child: Container(
                  height: data['height'],
                  alignment: Alignment.centerLeft,
                  padding: EdgeInsets.only(left: 10),
                  decoration: BoxDecoration(
                    border: Border(
                      bottom: BorderSide(
                        width: 2,
                        color: Color(0xfff1f1f1),
                      ),
                    ),
                  ),
                  child: Text(isCn ? '白日依山尽$index' : ' No one and you'),
                ),
                suffixs: data['all'] != 2
                    ? [
                        GestureDetector(
                          onTap: () {
                            print(123);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            color: Colors.green,
                            child: Text('closer',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                        GestureDetector(
                          onTap: () {
                            _delete(data['index']);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            color: Colors.red,
                            child: Text('delete',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                      ]
                    : <Widget>[],
                prefixs: data['all'] != 1
                    ? [
                        Container(
                          alignment: Alignment.center,
                          color: Colors.green,
                          child: Text('closer',
                              style: TextStyle(color: Colors.white)),
                        ),
                        GestureDetector(
                          onTap: () {
                            _delete(data['index']);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            color: Colors.red,
                            child: Text('delete',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                      ]
                    : <Widget>[],
              );
            } else {
              return MillSwipeDrawer(
                key: ValueKey(index),
                child: Container(
                  height: data['height'],
                  alignment: Alignment.centerLeft,
                  padding: EdgeInsets.only(left: 10),
                  decoration: BoxDecoration(
                    border: Border(
                      bottom: BorderSide(
                        width: 2,
                        color: Color(0xfff1f1f1),
                      ),
                    ),
                  ),
                  child: Text(isCn ? '白日依山尽$index' : ' No one and you'),
                ),
                suffixs: data['all'] != 2
                    ? [
                        GestureDetector(
                          onTap: () {
                            print(123);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            color: Colors.green,
                            child: Text('closer',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                        GestureDetector(
                          onTap: () {
                            _delete(data['index']);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            color: Colors.red,
                            child: Text('delete',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                      ]
                    : <Widget>[],
                prefixs: data['all'] != 1
                    ? [
                        Container(
                          alignment: Alignment.center,
                          color: Colors.green,
                          child: Text('closer',
                              style: TextStyle(color: Colors.white)),
                        ),
                        GestureDetector(
                          onTap: () {
                            _delete(data['index']);
                          },
                          child: Container(
                            alignment: Alignment.center,
                            color: Colors.red,
                            child: Text('delete',
                                style: TextStyle(color: Colors.white)),
                          ),
                        ),
                      ]
                    : <Widget>[],
              );
            }
          }).toList(),
          Container(
            margin: EdgeInsets.all(20),
            child: ClipRect(
              clipBehavior: Clip.antiAlias, //
              child: MillSwipeCell(
                child: Container(
                  decoration: BoxDecoration(
                      color: Colors.transparent,
                      border: Border.all(
                        color: Color(0xffc6c6c6),
                      )),
                  alignment: Alignment.center,
                  height: 120,
                  child: Text('这是标题'),
                ),
                suffixs: [
                  Container(
                    height: 100,
                    width: 30,
                    alignment: Alignment.center,
                    padding: EdgeInsets.symmetric(horizontal: 5),
                    child: Icon(Icons.ac_unit),
                  )
                ],
              ),
            ),
          )
        ],
      ),
    );
  }
}

List lis = [
  {'type': 0, 'all': 0, 'height': 60.0, 'index': 0},
  {'type': 0, 'all': 1, 'height': 60.0, 'index': 1},
  {'type': 0, 'all': 2, 'height': 80.0, 'index': 2},
  {'type': 1, 'all': 0, 'height': 60.0, 'index': 3},
  {'type': 1, 'all': 1, 'height': 80.0, 'index': 4},
  {'type': 1, 'all': 2, 'height': 60.0, 'index': 5},
  {'type': 2, 'all': 0, 'height': 60.0, 'index': 6},
  {'type': 2, 'all': 1, 'height': 60.0, 'index': 7},
  {'type': 2, 'all': 2, 'height': 60.0, 'index': 8}
];
